<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Тип данных:
 * * `string` - Строка
 * * `text` - Текст
 * * `integer` - Целое число
 * * `double` - Вещественное число
 * * `boolean` - Логическое значение
 * * `datetime` - Дата и время
 * * `image` - Файл картинки
 * * `file` - Файл
 * * `color` - Цвет
 */
enum PropertyTypeEnum: string
{
    /** Строка */
    case STRING = 'string';
    /** Текст */
    case TEXT = 'text';
    /** Целое число */
    case INTEGER = 'integer';
    /** Вещественное число */
    case DOUBLE = 'double';
    /** Логическое значение */
    case BOOLEAN = 'boolean';
    /** Дата и время */
    case DATETIME = 'datetime';
    /** Файл картинки */
    case IMAGE = 'image';
    /** Файл */
    case FILE = 'file';
    /** Цвет */
    case COLOR = 'color';
}
